Bug 1444535

Summary: Plugin symlinks missing in openvpn-2.4.1-3.el6
Product: [Fedora] Fedora EPEL Reporter: Naadir Jeewa <naadir>
Component: openvpnAssignee: David Sommerseth <dazo>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: el6CC: dazo, huzaifas, mauricio.teixeira, steve
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: openvpn-2.4.3-1.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-27 16:16:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Patch to restore symlinks. none

Description Naadir Jeewa 2017-04-21 14:37:38 UTC
Created attachment 1273349 [details]
Patch to restore symlinks.

Description of problem:
Symlinks of plugins from 

%{_libdir}/%{name}/plugins/openvpn-plugin-$plugin.so to
{_libdir}/%{name}/plugin/lib/openvpn-$plugin.so

should be restored to maintain compatibility with current configurations on
RHEL 6 systems where plugins are referenced using absolute paths.

Currently, after a package update, OpenVPN will continue running until next service restart and then abort.

The breaking change was made in https://src.fedoraproject.org/cgit/rpms/openvpn.git/commit/?h=el6&id=8283c7e978e4bcd47081ffd6bb8802bfae8d753a

Version-Release number of selected component (if applicable):
Openvpn 2.4.1-3

How reproducible:


Steps to Reproduce:
1. In an OpenVPN configuration, specify:

plugin /usr/lib64/openvpn/plugin/lib/openvpn-auth-pam.so openvpn

and launch OpenVPN with any 2.3 release.

2. Upgrade to 2.4

3. Attempt to restart OpenVPN.

Actual results:
Apr 21 14:06:16 centos6 openvpn[6492]: PLUGIN_INIT: could not load plugin shared object /usr/lib64/openvpn/plugin/lib/openvpn-auth-pam.so: /usr/li
b64/openvpn/plugin/lib/openvpn-auth-pam.so: cannot open shared object file: No such file or directory: No such file or directory (errno=2)

Expected results:
Server instance restarts successfully.

Additional info:
Marking as urgent severity as upgrades can unexpectedly break systems.

Comment 1 Fedora Update System 2017-05-11 14:42:55 UTC
openvpn-2.4.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ee18d1c7b

Comment 2 Fedora Update System 2017-05-12 19:51:00 UTC
openvpn-2.4.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ee18d1c7b

Comment 3 Fedora Update System 2017-06-21 14:16:01 UTC
openvpn-2.4.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ec615ff74

Comment 4 Fedora Update System 2017-06-23 02:15:53 UTC
openvpn-2.4.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ec615ff74

Comment 5 Fedora Update System 2017-06-27 16:16:21 UTC
openvpn-2.4.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.